## liblouis 3.36.0

=== extra/generate-display-names/Makefile ===
CC := gcc
DISPLAY_NAMES_FILE := display-names

export LOUIS_TABLEPATH = $(CURDIR)/../../tables
export GOPATH = $(CURDIR)/.go-packages

.PHONY : check
check : generate ../../tables/nl-NL-g0.utb
	./$< $(DISPLAY_NAMES_FILE) >$<.log 2>$<.log

generate : generate.o displayLanguage.a ../../liblouis/liblouis.la
	../../libtool --tag=CC --mode=link $(CC) -o $@ $^ -lpthread

generate.o : generate.c displayLanguage.h
	$(CC) -I. -I../../liblouis -g -O2 -c -o $@ $<

displayLanguage.a displayLanguage.h : displayLanguage.go
	go build -buildmode=c-archive $<

../../tables/nl-NL-g0.utb :
	$(MAKE) -C $(dir $@) $(notdir $@)

.PHONY : clean
clean :
	rm -rf displayLanguage.a displayLanguage.h $(GOPATH) generate.o generate generate.log

## liblouis 2.5.3

=== debian/changelog ===
liblouis (2.5.3-2ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 13:51:34 +0100

liblouis (2.5.3-2) unstable; urgency=low

  * Make python-louis and python3-louis Arch: all packages.
    (Closes: Bug#719139) (LP: #1070251)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Aug 2013 17:12:48 +0200

liblouis (2.5.3-1) unstable; urgency=low

  * New upstream release.
  * Replace python -dev build-deps with python build-deps (Closes: #712076).
  * watch: Add code.google.com download URL.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jun 2013 10:30:53 +0200

liblouis (2.5.2-2) unstable; urgency=low

  * Upload to unstable.

  [ Samuel Thibault ]
  * control: Make liblouis-dev Multi-Arch: same.

  [ Luke Yelavich ]
  * Build a python 3 package (Closes: #692386)
  * Update standards version, no changes needed

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 May 2013 00:43:57 +0200

liblouis (2.5.2-1) experimental; urgency=low

  * New upstream release
    - Update copyright
    - Remove patches/format, merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 18 Dec 2012 23:52:16 +0100

liblouis (2.5.1-1) experimental; urgency=low

  * New upstream release.
    - Update copyright
    - Add TODO file to docs.
  * source/format: Switch to quilt format.
  * patches/format: New format patch to fix build.
  * liblouis-bin.install: Do not install lou_harnessGenerator.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Sep 2012 15:31:57 +0200

liblouis (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * control: Bump Standards-Version to 3.9.3 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 26 Feb 2012 21:03:21 +0100

liblouis (2.4.0-1) unstable; urgency=low

  * New upstream release
    - copyright: Update.
  * rules: Add build-indep and build-arch targets.
  * control: Depend on hardening-check.
  * rules: Set DEB_BUILD_HARDENING=1 to enable hardening.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Feb 2012 23:51:57 +0100

liblouis (2.3.0-3) unstable; urgency=low

  [ Samuel Thibault ]
  * debian/liblouis-dev.install: Move pkg-config file to multiarch place.

  [ Barry Warsaw ]
  * Switch to dh_python2 (Closes: Bug#635442) (LP: #788514)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Aug 2011 03:51:30 +0200

liblouis (2.3.0-2) unstable; urgency=low

  * debian/rules: Set libdir to DEB_HOST_MULTIARCH.
  * debian/control: Make liblouis2 pre-depend on multiarch-support.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jun 2011 12:34:49 +0200

liblouis (2.3.0-1) unstable; urgency=low

  * New upstream release.
  * Cherry-pick r448 and r449 from upstream, to fix make check timeouts and
    hung processes
  * debian/control:
    - Set liblouis-data Multi-Arch: foreign.
    - Build-depend on dpkg-dev (>= 1.16)
  * Bump Standards-Version to 3.9.2

 -- Samuel Thibault <sthibault@debian.org>  Mon, 09 May 2011 23:40:10 +0200

liblouis (2.2.0-1) unstable; urgency=low

  * New upstream release (Closes: Bug#614568).
  * debian/copyright: Update.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Jan 2011 17:38:29 +0100

liblouis (2.0.0-2) unstable; urgency=low

  * debian/watch: Replace googlecode URL with abilitiessoft.com URL.
  * debian/gbp.conf: Add git-buildpackage configuration file.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 20 Aug 2010 20:04:37 +0200

liblouis (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Bump Standards-Version to 3.9.1 (no change needed).
  * debian/rules: Do not stop build on make check error.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Jul 2010 02:42:36 +0200

liblouis (1.8.0-1) unstable; urgency=low

  * New upstream release (Closes: Bug#563673).
  * debian/control:
    - Drop duplicate Section: libs field.
    - Add help2man Build-Depends.
    - Rename liblouis0 package to liblouis2 due to soname change.
  * debian/rules:
    - Automatically copy config.{sub,guess} from autotools-dev
    (Closes: Bug#563485).
    - Remove python/build on clean.
  * debian/lou_*.1: Remove manpages, upstream now have some.
  * debian/copyright: Fix copyright sign.
  * debian/liblouis-dev.doc-base: Add.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Jan 2010 23:48:47 +0100

liblouis (1.7.0-2) unstable; urgency=low

  * debian/control: Remove python2.4-ctypes build-depends (Closes:
    Bug#562480), bump python-all-dev dependency version to >= 2.5.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 27 Dec 2009 02:57:36 +0100

liblouis (1.7.0-1) unstable; urgency=low

  New upstream release.

  [ Loïc Minier ]
  * Don't override LD_LIBRARY_PATH completely as this breaks fakeroot.
  * Add ${misc:Depends}.
  * Run testsuite during build by default.
  * Stop installing *.la files in liblouis-dev; the only package
    build-depending on liblouis-dev (recursively) is liblouisxml-dev
    so that's fine.
  * Cleanup rules.
  * Add ${shlibs:Depends} to liblouis-dev and python-louis.
  * Fix copyright to mention licensing of tools (GPLv2 or later).

  [ Cyril Brulebois ]
  * Merge Loïc's patches (and tweak some of them), thanks!

  [ Samuel Thibault ]
  * rules: Install libraries to /usr/lib/$(DEB_HOST_GNU_TYPE), but not the
    pkgconfig file.
  * control: Add Multi-Arch: foreign to liblouis-bin, same to liblouis0.
  * Fix LD_LIBRARY_PATH change
  * Disable the present_progressive test, as it is known upstream that it
    fails.
  * debian/control: Bump Standards-Version to 3.8.3 (no change needed).
  * debian/lou_checkhyphens.1: New manpage.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 22 Aug 2009 15:52:10 +0200

liblouis (1.6.2.0-2) unstable; urgency=low

  * Add texinfo to Build-Depends, fixing FTBFS with missing makeinfo
    command, before it gets reported. :)
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Wed, 29 Jul 2009 06:25:24 +0200

liblouis (1.6.2.0-1) unstable; urgency=low



=== debian/control ===
Source: liblouis
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), hardening-wrapper, quilt, dh-autoreconf
Standards-Version: 3.9.4
Section: libs
Vcs-Git: git://git.debian.org/git/pkg-a11y/liblouis
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/liblouis.git
Homepage: http://code.google.com/p/liblouis/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: liblouis-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblouis2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Braille translation library - static libs and headers
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).
 .
 This package contains static libraries and development headers.

Package: liblouis2
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
Description: Braille translation library - shared libs
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).
 .
 This package contains shared libraries.

Package: liblouis-data
Section: text
Architecture: all
Multi-Arch: foreign
Depends:  ${misc:Depends}
Description: Braille translation library - data
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).  New languages can easily be added through
 tables that support a rule- or dictionary based approach. Included are also
 tools for testing and debugging tables.
 .
 This package contains runtime data.

Package: liblouis-bin
Section: text
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Braille translation library - utilities
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).  New languages can easily be added through
 tables that support a rule- or dictionary based approach. Included are also
 tools for testing and debugging tables.
 .
 This package contains a few tools to test tables and translate text.

Package: python-louis
Section: python
Architecture: all
Depends: ${python:Depends}, liblouis2 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python bindings for liblouis
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).
 .
 This package contains Python bindings.

Package: python3-louis
Section: python
Architecture: all
Depends: ${python3:Depends}, liblouis2 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Python bindings for liblouis
 Liblouis is a braille translator and back-translator.  It features support for
 computer and literary braille, supports contracted and uncontracted translation
 for many languages and has support for hyphenation.  Liblouis also supports
 math braille (Nemeth and Marburg).
 .
 This package contains Python bindings.

=== debian/watch ===
version=3
http://www.abilitiessoft.com/downloads.html liblouis-(.*)\.tar\.gz
opts=downloadurlmangle=s%.*name=(.*?)&.*%https://liblouis\.googlecode\.com/files/$1%,filenamemangle=s/.*name=(.*?)&.*/$1/ \
http://code.google.com/p/liblouis/downloads/list?can=1&q= \
.*name=liblouis[\-\._]?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz|zip|7z|jar)&\S*

## liblouis 2.6.2

=== debian/changelog ===
liblouis (2.6.2-2) unstable; urgency=medium

  * patches/git-a8375da: Fix build with makeinfo >= 6 (Closes: #790649).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 07 Jul 2015 23:16:20 +0200

liblouis (2.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6 (no changes).
  * watch: Add new upstream URL.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 19 Sep 2014 17:42:25 +0200

liblouis (2.5.3-3) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).

  [ Erwan Prioul ]
  * rules: Use dh_autoreconf (Closes: Bug#752526).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 24 Jun 2014 23:26:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), hardening-wrapper, quilt, dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Section: libs
 Vcs-Git: git://git.debian.org/git/pkg-a11y/liblouis
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/liblouis.git

## liblouis 2.6.4

=== debian/changelog ===
liblouis (2.6.4-2ubuntu0.4) xenial-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-12085.patch: fix in
      liblouis/compileTranslationTable.c.
    - CVE-2018-12085

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 02 Oct 2018 11:10:53 -0300

liblouis (2.6.4-2ubuntu0.3) xenial-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-11683.patch: fix in
      liblouis/compileTranslationTable.c, tools/lou_translate.c.
    - CVE-2018-11683
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-11684.patch: fix in
      liblouis/compileTranslationTable.c.
    - CVE-2018-11684
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-11685.patch: fix in
      liblouis/compileTranslationTable.c.
    - CVE-2018-11685

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 05 Jun 2018 13:40:46 -0300

liblouis (2.6.4-2ubuntu0.2) xenial-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-11440.patch: fix in table parsing
      liblouis/compileTranslationTable.c.
    - CVE-2018-11440
  * SECURITY UPDATE: Buffer overflow in braille table parser
    - debian/patches/CVE-2018-11577.patch: fix in
      liblouis/compileTranslationTable.c.
    - CVE-2018-11577

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 04 Jun 2018 12:45:50 -0300

liblouis (2.6.4-2ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Illegal address access in getALine
    - debian/patches/CVE-2017-13738-and-2017-13744.patch: fix
      possible out-of-bounds write in liblouis/compileTranslationTable.c.
    - CVE-2017-13738
    - CVE-2017-13744
  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2017-13739-and-2017-13740-and-2017-13742.patch:
      fix buffer overflow parsing malformed table in
      liblouis/compilerTranslationTable.c.
    - CVE-2017-13739
    - CVE-2017-13740
    - CVE-2017-13742

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 31 Aug 2017 11:40:14 -0300

liblouis (2.6.4-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 27 Oct 2015 10:53:43 +0100

liblouis (2.6.4-1) experimental; urgency=medium

  * New upstream release.
    - Rename liblouis2 package into liblouis9 according to soname bump.
    - control: Add libyaml-dev build dependency.
  * control: Drop multiarch-support pre-depend.
  * patches/git-a8375da: Merged upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2015 14:42:47 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: liblouis
 Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), hardening-wrapper, quilt, dh-autoreconf
+Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), hardening-wrapper, quilt, dh-autoreconf, libyaml-dev
 Standards-Version: 3.9.6
 Section: libs
 Vcs-Git: git://git.debian.org/git/pkg-a11y/liblouis
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/liblouis.git
-Homepage: http://code.google.com/p/liblouis/
+Homepage: https://github.com/liblouis/liblouis/releases
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
@@ -15,7 +16,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblouis2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: liblouis9 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Braille translation library - static libs and headers
  Liblouis is a braille translator and back-translator.  It features support for
  computer and literary braille, supports contracted and uncontracted translation
@@ -24,10 +25,9 @@
  .
  This package contains static libraries and development headers.
 
-Package: liblouis2
+Package: liblouis9
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
 Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
 Description: Braille translation library - shared libs
  Liblouis is a braille translator and back-translator.  It features support for
@@ -70,7 +70,7 @@
 Package: python-louis
 Section: python
 Architecture: all
-Depends: ${python:Depends}, liblouis2 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python:Depends}, liblouis9 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for
@@ -83,7 +83,7 @@
 Package: python3-louis
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, liblouis2 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python3:Depends}, liblouis9 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS := --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS := --build $(DEB_BUILD_GNU_TYPE)
endif

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

export DEB_BUILD_HARDENING=1

maybe_check = $(if $(findstring nocheck,$(DEB_BUILD_OPTIONS)),,check)

PYVERS := $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

configure-stamp:
	dh_testdir
	dh_autoreconf
	./configure $(CROSS) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" --enable-ucs4
	touch $@


build: build-indep build-arch
build-indep: build-stamp
build-arch: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	cd python; \
	    for py in $(PYVERS) $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py build; \
	    done
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp check-stamp configure-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	-cd python; \
	    for py in $(PYVERS) $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py clean --all; \
	    done; \
	    rm -f louis/__init__.pyc
	rm -f doc/liblouis.info doc/stamp-vti doc/version.texi
	rm -fr python/build
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cd python; \
	    for py in $(PYVERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py install --root=$(CURDIR)/debian/python-louis --install-layout=deb; \
	    done
	cd python; \
	    for py in $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py install --root=$(CURDIR)/debian/python3-louis --install-layout=deb; \
	    done

check: check-stamp
check-stamp:
	-$(MAKE) check
	touch $@

binary-arch: export DH_OPTIONS=-s
binary-arch: build install $(maybe_check)
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	dh_installman
	dh_installinfo
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: export DH_OPTIONS=-i
binary-indep: build install $(maybe_check)
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_install
	dh_python2
	dh_python3
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

get-orig-source:
	uscan --verbose --rename --repack --force-download

binary: binary-indep binary-arch
.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install

## liblouis 2.6.5

=== debian/changelog ===
liblouis (2.6.5-1) unstable; urgency=medium

  * New upstream release.
    - rename liblouis9 package to liblouis10 according to upstream soname
    bump.
  * compat: Bump to 9.
  * rules: Clear.
  * control:
    - add dh-python build-dep.
    - Bump Standards-Version to 3.9.8 (no change).
    - Update upstream URL.
  * watch: Update.
  * patches/check_yaml: Backport upstream patch to fix crashes in testsuite.
  * rules: Make testsuite failure fatal again.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 15 Jul 2016 01:42:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: liblouis
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev, pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), hardening-wrapper, quilt, dh-autoreconf, libyaml-dev
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-python, autotools-dev, pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), quilt, dh-autoreconf, libyaml-dev
+Standards-Version: 3.9.8
 Section: libs
 Vcs-Git: git://git.debian.org/git/pkg-a11y/liblouis
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/liblouis.git
-Homepage: https://github.com/liblouis/liblouis/releases
+Homepage: http://liblouis.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
@@ -16,7 +15,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblouis9 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: liblouis10 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Braille translation library - static libs and headers
  Liblouis is a braille translator and back-translator.  It features support for
  computer and literary braille, supports contracted and uncontracted translation
@@ -25,7 +24,7 @@
  .
  This package contains static libraries and development headers.
 
-Package: liblouis9
+Package: liblouis10
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
@@ -70,7 +69,7 @@
 Package: python-louis
 Section: python
 Architecture: all
-Depends: ${python:Depends}, liblouis9 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python:Depends}, liblouis10 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for
@@ -83,7 +82,7 @@
 Package: python3-louis
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, liblouis9 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python3:Depends}, liblouis10 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for

## liblouis 3.0.0

=== debian/changelog ===
liblouis (3.0.0-3ubuntu0.2) zesty-security; urgency=medium

  * SECURITY UPDATE: Illegal address access in getALine
    - debian/patches/CVE-2017-13738-and-2017-13744.patch: fix
      possible out-of-bounds write in liblouis/compileTranslationTable.c.
    - CVE-2017-13738
    - CVE-2017-13744
  * SECURITY UPDATE: heap-based buffer overflow
    - debian/patches/CVE-2017-13739-and-2017-13740-and-2017-13742.patch:
      fix buffer overflow parsing malformed table in
      liblouis/compilerTranslationTable.c.
    - CVE-2017-13739
    - CVE-2017-13740
    - CVE-2017-13742

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 31 Aug 2017 11:30:20 -0300

liblouis (3.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Sep 2016 00:46:35 +0200

liblouis (3.0.0-2) experimental; urgency=medium

  * control: Make sure to have a recent-enough automake to run yaml tests.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Sep 2016 17:22:56 +0200

liblouis (3.0.0-1) experimental; urgency=medium

  * New upstream release.
    - patches/check_yaml: Remove, merged upstream.
    - control, liblouis10.install: Rename liblouis10 package to liblouis12
    according to upstream soname bump.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 05 Sep 2016 21:43:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: liblouis
 Priority: extra
-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-python, autotools-dev, pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), quilt, dh-autoreconf, libyaml-dev
+Build-Depends: debhelper (>= 9), dh-autoreconf, dh-python, autotools-dev, automake (>= 1:1.14~), pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), quilt, dh-autoreconf, libyaml-dev
 Standards-Version: 3.9.8
 Section: libs
 Vcs-Git: git://git.debian.org/git/pkg-a11y/liblouis
@@ -15,7 +16,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblouis10 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: liblouis12 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Braille translation library - static libs and headers
  Liblouis is a braille translator and back-translator.  It features support for
  computer and literary braille, supports contracted and uncontracted translation
@@ -24,7 +25,7 @@
  .
  This package contains static libraries and development headers.
 
-Package: liblouis10
+Package: liblouis12
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
@@ -69,7 +70,7 @@
 Package: python-louis
 Section: python
 Architecture: all
-Depends: ${python:Depends}, liblouis10 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python:Depends}, liblouis12 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for
@@ -82,7 +83,7 @@
 Package: python3-louis
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, liblouis10 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python3:Depends}, liblouis12 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for

## liblouis 3.5.0

=== debian/changelog ===
liblouis (3.5.0-1ubuntu0.5) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2023-26767.patch: check the length
      of path before copying indo dataPath in
      liblouis/compileTranslationTable.c, liblouis/liblouis.h.in.
    - CVE-2023-26767
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2023-26768-1.patch: check filename before
      coping to initialLogFileName in liblouis/logging.c.
    - debian/patches/CVE-2023-26768-2.patch: replace the magic
      number with a define in liblouis/logging.c.
    - CVE-2023-26768
  * SECURITY UPDATE: Buffer overflow
    - debian/patches/CVE-2023-26769-1.patch: check path length
      before coping into tableFile in liblouis/compileTranslationTable.c.
    - debian/patches/CVE-2023-26769-2.patch: fix format in
      liblouis/compileTranslationTable.c.
    - debian/patches/CVE-2023-26769-3.patch: add parentheses for
      define expression in liblouis/compileTranslationTable.c.
    - CVE-2023-26769

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 27 Mar 2023 09:13:06 -0300

liblouis (3.5.0-1ubuntu0.4) bionic-security; urgency=medium

  * SECURITY UPDATE: Out-of-bounds
    - debian/patches/CVE-2022-31783.patch: prevent an invalid
      memory writes in compileRule in liblouis/compileTranslationTable.c.
    - CVE-2022-31783

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 09 Jun 2022 10:37:45 -0300

liblouis (3.5.0-1ubuntu0.3) bionic-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-12085.patch: fix in
      liblouis/compileTranslationTable.c.
    - CVE-2018-12085
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-17294.patch: fix in
      liblouis/lou_translateString.c
    - CVE-2018-17294

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 02 Oct 2018 11:13:18 -0300

liblouis (3.5.0-1ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-11683.patch: fix in
      liblouis/compileTranslationTable.c, tools/lou_translate.c.
    - CVE-2018-11683
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-11684.patch: fix in
      liblouis/compileTranslationTable.c.
    - CVE-2018-11684
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-11685.patch: fix in
      liblouis/compileTranslationTable.c.
    - CVE-2018-11685

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 05 Jun 2018 14:46:53 -0300

liblouis (3.5.0-1ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-11410.patch: fix in liblouis/pattern.c.
    - CVE-2018-11410
  * SECURITY UPDATE: Stack-based buffer overflow
    - debian/patches/CVE-2018-11440.patch: fix in table parsing
      liblouis/compileTranslationTable.c.
    - CVE-2018-11440
  * SECURITY UPDATE: Buffer overflow in braille table parser
    - debian/patches/CVE-2018-11577.patch: fix in
      liblouis/compileTranslationTable.c.
    - CVE-2018-11577

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Mon, 04 Jun 2018 12:57:43 -0300

liblouis (3.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 11 Mar 2018 14:41:16 +0100

liblouis (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump Standards-Version to 4.1.1 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Sep 2017 01:01:51 +0200

liblouis (3.3.0-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#874302).
    - rename liblouis12 to liblouis14 according to soname bump.
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 08 Sep 2017 01:01:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: liblouis
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
+XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-python, autotools-dev, automake (>= 1:1.14~), pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), quilt, dh-autoreconf, libyaml-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Section: libs
-Vcs-Git: git://git.debian.org/git/pkg-a11y/liblouis
-Vcs-Browser: http://git.debian.org/?p=pkg-a11y/liblouis.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/liblouis.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/liblouis.git
 Homepage: http://liblouis.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
@@ -16,7 +16,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblouis12 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: liblouis14 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Braille translation library - static libs and headers
  Liblouis is a braille translator and back-translator.  It features support for
  computer and literary braille, supports contracted and uncontracted translation
@@ -25,7 +25,7 @@
  .
  This package contains static libraries and development headers.
 
-Package: liblouis12
+Package: liblouis14
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
@@ -70,7 +70,7 @@
 Package: python-louis
 Section: python
 Architecture: all
-Depends: ${python:Depends}, liblouis12 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python:Depends}, liblouis14 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for
@@ -83,7 +83,7 @@
 Package: python3-louis
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, liblouis12 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python3:Depends}, liblouis14 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for

=== debian/watch ===
version=3
http://liblouis.org/downloads/ https://github.com/liblouis/liblouis/releases/download/v.*/liblouis-(.*).tar.gz

## liblouis 3.6.0

=== debian/changelog ===
liblouis (3.6.0-3ubuntu1) cosmic; urgency=medium

  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-17294.patch: fix in
      liblouis/lou_translateString.c
    - CVE-2018-17294

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 02 Oct 2018 12:20:58 -0300

liblouis (3.6.0-3) unstable; urgency=medium

  * control: Bump Standards-Version to 4.2.0 (no changes).
  * debian/tests/control: Add autopkgtest.
  * patches/automake-1.16: Fix build against automake 1.16 (Closes: #906376).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 17 Aug 2018 19:06:38 +0200

liblouis (3.6.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 07 Jul 2018 15:11:48 +0200

liblouis (3.6.0-1) experimental; urgency=medium

  * New upstream release.
    - Rename liblibouis14 to liblouis16 according to soname bump.
    - cve-2018-11410, cve-2018-11440, cve-2018-11577, 32bit-crash.diff,
    cve-2018-11683, cve-2018-11684, cve-2018-11685: Remove patches merged
    upstream.
    - patches/da-dk: Fix testsuite failure.
  * control: Drop ancien python version requirement.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 30 Jun 2018 14:06:51 +0200

liblouis (3.5.0-4) unstable; urgency=high

  * patches/cve-2018-12085: Fix another buffer overflow for CVE 2018-12085
    (Closes: Bug#901202).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 12 Jun 2018 00:29:00 +0200

liblouis (3.5.0-3) unstable; urgency=medium

  * patches/32bit-crash.diff: Fix crash on 32bit execution.
  * patches/cve-2018-11440: Fix another buffer overflow for CVE 2018-11440
    (Closes: #900085).
  * patches/cve-2018-11577: Fix another segfault for CVE 2018-11577
    (Closes: #900607).
  * patches/cve-2018-11683: Fix a buffer overflow for CVE 2018-11683.
  * patches/cve-2018-11684: Fix a buffer overflow for CVE 2018-11684.
  * patches/cve-2018-11685: Fix a buffer overflow for CVE 2018-11685.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 04 Jun 2018 20:16:03 +0200

liblouis (3.5.0-2) unstable; urgency=high

  * Bump Standards-Version to 4.1.4 (no changes).
  * patches/cve-2018-11410: Buffer overflow fix for CVE 2018-11410
    (Closes: #899999).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 25 May 2018 10:42:16 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,17 @@
 XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, dh-python, autotools-dev, automake (>= 1:1.14~), pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), quilt, dh-autoreconf, libyaml-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.2.0
 Section: libs
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/liblouis.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/liblouis.git
 Homepage: http://liblouis.org/
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: liblouis-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblouis14 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: liblouis16 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Braille translation library - static libs and headers
  Liblouis is a braille translator and back-translator.  It features support for
  computer and literary braille, supports contracted and uncontracted translation
@@ -25,7 +23,7 @@
  .
  This package contains static libraries and development headers.
 
-Package: liblouis14
+Package: liblouis16
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
@@ -70,7 +68,7 @@
 Package: python-louis
 Section: python
 Architecture: all
-Depends: ${python:Depends}, liblouis14 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python:Depends}, liblouis16 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for
@@ -83,7 +81,7 @@
 Package: python3-louis
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, liblouis14 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python3:Depends}, liblouis16 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for

## liblouis 3.8.0

=== debian/changelog ===
liblouis (3.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 04 Jan 2019 11:13:31 +0100

liblouis (3.8.0-1) experimental; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.
    - Rename liblouis16 to liblouis17 according to soname bump.

  [ Helmut Grohne ]
  * Demote python stuff to Build-Depends-Indep. (Closes: Bug#913081)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 Jan 2019 17:32:34 +0100

liblouis (3.7.0-1) unstable; urgency=medium

  * New upstream release.
    - debian/patches/automake-1.16: upstream.
    - debian/patches/cve-2018-12085: upstream.
    - debian/patches/da-dk: upstream.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 15 Sep 2018 10:11:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: liblouis
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
+Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>, Cyril Brulebois <kibi@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-python, autotools-dev, automake (>= 1:1.14~), pkg-config, python-all (>= 2.6.6-3~), python3-all, texinfo, help2man, dpkg-dev (>= 1.16), quilt, dh-autoreconf, libyaml-dev
+Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev, automake (>= 1:1.14~), pkg-config, texinfo, help2man, dpkg-dev (>= 1.16), quilt, dh-autoreconf, libyaml-dev
+Build-Depends-Indep: dh-python, python-all (>= 2.6.6-3~), python3-all
 Standards-Version: 4.2.0
 Section: libs
 Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/liblouis.git
@@ -14,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblouis16 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: liblouis17 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Braille translation library - static libs and headers
  Liblouis is a braille translator and back-translator.  It features support for
  computer and literary braille, supports contracted and uncontracted translation
@@ -23,7 +23,7 @@
  .
  This package contains static libraries and development headers.
 
-Package: liblouis16
+Package: liblouis17
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, liblouis-data, ${misc:Depends}
@@ -68,7 +68,7 @@
 Package: python-louis
 Section: python
 Architecture: all
-Depends: ${python:Depends}, liblouis16 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python:Depends}, liblouis17 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for
@@ -81,7 +81,7 @@
 Package: python3-louis
 Section: python
 Architecture: all
-Depends: ${python3:Depends}, liblouis16 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
+Depends: ${python3:Depends}, liblouis17 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
 Provides: ${python3:Provides}
 Description: Python bindings for liblouis
  Liblouis is a braille translator and back-translator.  It features support for

=== debian/tests/control ===
Depends: liblouis-bin
Test-Command: echo 'Hello, world!' | lou_translate --forward en-us-g2.ctb

Depends: liblouis-bin
Test-Command: echo 'Hello, world!' | lou_translate --forward unicode.dis,en-us-g2.ctb

Depends: liblouis-bin
Test-Command: echo ",! qk br{n fox" | lou_translate --backward en-us-g2.ctb

## liblouis 3.9.0

=== debian/changelog ===
liblouis (3.9.0-1) unstable; urgency=medium

  * New upstream release (Closes: Bug#925750).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 Mar 2019 16:40:17 +0100

## liblouis 3.10.0

=== debian/changelog ===
liblouis (3.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop python-liblouis package which has no rdeps any more.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 25 Jul 2019 20:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -65,19 +65,6 @@
  .
  This package contains a few tools to test tables and translate text.
 
-Package: python-louis
-Section: python
-Architecture: all
-Depends: ${python:Depends}, liblouis17 (>= ${binary:Version}), ${misc:Depends},  ${shlibs:Depends}
-Provides: ${python:Provides}
-Description: Python bindings for liblouis
- Liblouis is a braille translator and back-translator.  It features support for
- computer and literary braille, supports contracted and uncontracted translation
- for many languages and has support for hyphenation.  Liblouis also supports
- math braille (Nemeth and Marburg).
- .
- This package contains Python bindings.
-
 Package: python3-louis
 Section: python
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with autoreconf $(DH_ADDONS)
build binary %-indep: DH_ADDONS=--with=python3

DOPACKAGES := $(shell dh_listpackages)
ifeq ($(filter python3-louis,$(DOPACKAGES)),)
PY3VERS :=
else
PY3VERS := $(shell py3versions -r)
endif

override_dh_auto_configure:
	dh_auto_configure -- --enable-ucs4

override_dh_auto_build:
	$(MAKE)
	cd python; \
	    for py in $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py build; \
	    done

override_dh_auto_clean:
	dh_auto_clean
	-cd python; \
	    for py in $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py clean --all; \
	    done; \
	    rm -f louis/__init__.pyc
	rm -f doc/liblouis.info doc/stamp-vti doc/version.texi
	rm -fr python/build

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cd python; \
	    for py in $(PY3VERS); do \
		LD_LIBRARY_PATH=../liblouis/.libs$${LD_LIBRARY_PATH+:$$LD_LIBRARY_PATH} $$py setup.py install --root=$(CURDIR)/debian/python3-louis --install-layout=deb; \
	    done

get-orig-source:
	uscan --verbose --rename --repack --force-download
